Subject: Re: [PATCH] Force new line at end of commit message

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 24 Dec 2007 23:46:00 -0500

[... comments for patch in reply to Dscho's reply...]

Bernt Hansen <[email-masked]> wrote:
> Sorry I don't have an automated test for git-gui.  Are there any?

No.  I didn't really build git-gui very well for that sort of thing.
Part of my long-term plan for git-gui is to do refactoring on it
so that we can create automated tests for the lower level parts
(the logic behind the GUI).  Then we can actually do some automated
testing.

Wow.  I just realized git-gui is almost 14 months old.  Its probably
going to be another year before the above said refactoring is
completely finished, but its something that needs to be done if
git-gui is going to survive its terrible twos.

-- 
Shawn.